# Checks contentopen/close settings disable subsequent PerlHandlers if not open
# $Id: londatecheck.pm,v 1.3 2004/06/28 16:26:55 albertel Exp $
#
# Copyright Michigan State University Board of Trustees
#
# This file is part of the LearningOnline Network with CAPA (LON-CAPA).
#
# LON-CAPA is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# LON-CAPA is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with LON-CAPA; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# /home/httpd/html/adm/gpl.txt
#
# http://www.lon-capa.org/
#

use strict;
package Apache::londatecheck;
use Apache::lonnet();
use Apache::Constants qw(:common :http :methods);

sub content_date_check {
    my $symb=$ENV{'request.symb'};
    my $open=&Apache::lonnet::EXT('resource.0.contentopen',$symb);
    my $close=&Apache::lonnet::EXT('resource.0.contentclose',$symb);
    if ( (defined($open)  && $open  ne '' && time < $open) ||
	 (defined($close) && $close ne '' && time > $close)) {
	return ('CLOSED',$open,$close);
    }
    return ('OPEN',$open,$close);
}

sub handler {
    my ($r)=@_;
    my ($status)=&content_date_check();
    if ($status ne 'OPEN') {
	$r->set_handlers('PerlHandler'=>undef);
	&Apache::loncommon::content_type($r,'text/html');
	$r->send_http_header;
	return OK if $r->header_only;
	$r->print('<html><head><title>Go Away!</title>');
	my $addentries=' onLoad="'.&Apache::lonmenu::loadevents().
	    '" onUnload="'.&Apache::lonmenu::unloadevents().'"';
	$r->print(&Apache::lonmenu::registerurl(1));
	$r->print('</head>'.
		  &Apache::loncommon::bodytag('Go Away!','',$addentries,'','',
					      undef));
	$r->print('</body></html>');
	$r->print("Go Away!");
    }
    return OK;
}
1;
